int buton1 = 2;     // buton atamasını 2. ayaga yapıyoruz
int buton2 = 3;     // buton atamasını 3. ayaga yapıyoruz
int buton3 = 4;     // buton atamasını 4. ayaga yapıyoruz
int BUTON1 = 0;     //  butona basma sayısını içerisinde tutacak bir değişken oluşturup ilk değerini sıfır veriyoruz
int BUTON2 = 0;     //  butona basma sayısını içerisinde tutacak bir değişken oluşturup ilk değerini sıfır veriyoruz
int BUTON3 = 0;     //  butona basma sayısını içerisinde tutacak bir değişken oluşturup ilk değerini sıfır veriyoruz

int gelenDeger1 = 0;  // butona basıldığında "1" basılmadığında"0"  değerini taşıyacak bir değişken oluşturuyoruz.
int gelenDeger2 = 0;
int gelenDeger3 = 0;

void setup() {
  pinMode(buton1, INPUT);  //butondan arduinoya sinyal geleceği için giriş olarak gösteriyoruz.
  pinMode(buton2, INPUT);  //butondan arduinoya sinyal geleceği için giriş olarak gösteriyoruz.
  pinMode(buton3, INPUT);  //butondan arduinoya sinyal geleceği için giriş olarak gösteriyoruz.
  Serial.begin(9600);     //seri monitoru kullanmak üzere çalıştırıyoruz.
}

void loop() {
  gelenDeger1 = digitalRead(buton1);  // 8. ayağa(buton)gelen değeri dijital olarak okuyup "gelenDeger" değişkeni içerisine at
  gelenDeger2 = digitalRead(buton2);
  gelenDeger3 = digitalRead(buton3);
  if (gelenDeger1 == HIGH) //butona basıldıysa...
  { //....döngüye girer
    //başlangıc degeri sıfır olan "sayac" ın değerini bir arttır.
    BUTON1++;
    delay(150);           //butonun bırakılması için 150 msn bekle
    Serial.println("BUTON1:");     //sayac  içerisindeki güncel değeri ekrana yaz.
    Serial.println(BUTON1);
  }
  else if (gelenDeger2 == HIGH) //butona basıldıysa...
  { //....döngüye girer
    BUTON2++;              //başlangıc degeri sıfır olan "sayac" ın değerini bir arttır.
    delay(150);           //butonun bırakılması için 150 msn bekle
    Serial.println("BUTON2:");     //sayac  içerisindeki güncel değeri ekrana yaz.
    Serial.println(BUTON2);
  }
  else if (gelenDeger3 == HIGH) //butona basıldıysa...
  { //....döngüye girer
    BUTON3++;              //başlangıc degeri sıfır olan "sayac" ın değerini bir arttır.
    delay(150);           //butonun bırakılması için 150 msn bekle
    Serial.println("BUTON3:");     //sayac  içerisindeki güncel değeri ekrana yaz.
    Serial.println(BUTON3);

  }

}
